R10K-DEPLOY(1)

NAME
r10k-deploy - Puppet dynamic environment deployment

SYNOPSIS
10k deploy COMMAND options

DESCRIPTION
r10k deploy implements the Git branch to Puppet environment workflow (https://puppetlabs.com/blog/git-workflow-and-puppet-environments/).

OPTIONS

•   -c --config Specify a configuration file

•   -h --help Show help for this command

•   -t --trace Display stack traces on application crash

•   -v --verbose Set verbosity level

R10K COMMANDS

r10k deploy display
    Display environments and modules in the deployment.

r10k deploy environment
    Deploy environments and their dependent modules

r10k deploy module
    Deploy modules in all environments